Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

From: <[email-masked]>
Date: Mon, 8 Nov 2021 13:01:46 +0100

Anoop,

Could you confirm that you are fine with the changes proposed by Luc, so we can move the draft forward to next steps ?

Thanks !

From: Anoop Ghanwani <[email-masked]> 
Sent: lundi 5 juillet 2021 21:39
To: Luc André Burdet <[email-masked]>
Cc: [email-masked]; [email-masked]; BESS <[email-masked]>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Thanks Luc.

Would it be possible to add a line in section 4 along the lines of:

"While the various algorithms for DF election are discussed in Sections 4.2-4.4, unlike all-active load balancing, the choice of algorithm in this solution doesn't impact performance in any way since there is only one active link."

Anoop

On Mon, Jul 5, 2021 at 11:31 AM Luc André Burdet <[email-masked] <mailto:[email-masked]> > wrote:

Thank you for your careful review Anoop;

I have uploaded -03 which I believe addresses all comments.

Regarding the section specifying procedures for all DF Election algorithms: it is included per a previous review comment, primarily to be comprehensive for all existing DF Algos.  I agree the result may generally not vary much but the details of the procedure need to be specified. I hope this clears up any confusion.

Regards,

Luc André

Luc André Burdet |  Cisco  |  [email-masked] <mailto:[email-masked]>   |  Tel: +1 613 254 4814

From: BESS <[email-masked] <mailto:[email-masked]> > on behalf of Anoop Ghanwani <[email-masked] <mailto:[email-masked]> >
Date: Tuesday, June 1, 2021 at 19:23
To: "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >
Cc: "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, BESS <[email-masked] <mailto:[email-masked]> >
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

I support publication of this document.  The following are my comments.

==

Abstract

- I think it would be better to list the RFC rather than say "EVPN standard", since EVPN standard is an evolving term.

- "support of port-active" -> "support for port-active"

- The last line of the abstract should be moved to the introduction.

Section 1

- "The determinism provided by active-standby per interface is also required for certain QOS features to work."

  Can you provide an example of this?

- Change

"A new term of load-balancing mode, port-active load- balancing is then defined."

to

"A new load-balancing mode, port-active load-balancing is defined."

- Change

"This draft describes how that new redundancy mode can be supported via EVPN"
to
"This draft describes how that new load balancing mode can be supported via EVPN"

(Just for consistency, I think it would be better to search the doc throughout and make sure that "redundancy" is not being used in place of "load balancing", since we are defining a new load balancing method, not a new redundancy method/topology.)

- Is "Bundle-Ethernet interfaces" a well-known term?  I think it may be better to drop Bundle.  I am not sure if what is meant here is "members of a LAG".

- "multi-homing to CE" -> "multi-homing to the CE".

Section 2

- Change

"form a bundle and operate as a Link Aggregation Group (LAG)"

to

"form and operate as a Link Aggregation Group (LAG)"

(In EVPN bundling normally refers to many:1 mapping of VLAN to VNI/service instance).

- Include reference for ICCP.

- Change

"CE device connected to Multi-homing PEs may has"

to 

"CE device connected to multi-homing PEs may have"

- Change

"Links in the Ethernet Bundle" 

to

"links in the LAG"

- Change

"Any discrepancies from this list is left for future study."

to

"Any discrepancies from this list are left for future study."

Section 3

- Missing period at the end of (b).

- Layer2 attributes -> Layer-2 attributes.

Section 4.2/4.3

I got a bit confused here.  The draft discusses Modulo, HRW.  Do we essentially end up with a single active link, but just that which link is chosen is dependent on the algorithm?  If so, what is the benefit of doing so?  I can see why multiple algorithms are of value when we are doing VLAN-based load balancing to multiple active links.

Section 5

- "Bundle-Ethernet" -> "LAG"

Section 5.1

- "per ES routes for fast convergence" -> "per ES route for fast convergence"

Section 5.2

- "per EVI routes" -> "per EVI route"

Section 7

- spurious 'g'.

- missing period under the second sub-bullet of point 'f'.

On Mon, May 31, 2021 at 12:31 AM <[email-masked] <mailto:[email-masked]> > wrote:

Hello WG,

This email starts a two weeks Working Group Last Call on
draft-ietf-bess-evpn-mh-pa-02 [1]. 

This poll runs until * the 7th of June *.

We are also polling for knowledge of any undisclosed IPR that applies to
this Document, to ensure that IPR has been disclosed in compliance with IETF
IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).
 
If you are listed as an Author or a Contributor of this Document please
respond to this email and indicate whether or not you are aware of any
relevant undisclosed IPR. The Document won't progress without answers from
all the Authors and Contributors. 
 
There is currently no IPR disclosed.

If you are not listed as an Author or a Contributor, then please explicitly
respond only if you are aware of any IPR that has not yet been disclosed in
conformance with IETF rules.

We are also polling for any existing implementation as per [2]. 

Thank you,
 
Stephane & Matthew

[1]
 <https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-mh-pa/> https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-mh-pa/
 
[2]  <https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw> https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw

_______________________________________________
BESS mailing list
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/bess

---

From: Anoop Ghanwani <[email-masked]>
Date: Tue, 9 Nov 2021 06:44:58 -0800

Hi Stefane,

Yes, the document is much improved.  There's the last exchange below which
I didn't get a response to.  I think that would help convey the intent of
the authors more clearly.

Thanks,
Anoop

On Mon, Nov 8, 2021 at 4:01 AM <[email-masked]> wrote:

> Anoop,
>
>
>
> Could you confirm that you are fine with the changes proposed by Luc, so
> we can move the draft forward to next steps ?
>
>
>
> Thanks !
>
>
>
>
>
> *From:* Anoop Ghanwani <[email-masked]>
> *Sent:* lundi 5 juillet 2021 21:39
> *To:* Luc André Burdet <[email-masked]>
> *Cc:* [email-masked]; [email-masked]; BESS <[email-masked]>
> *Subject:* Re: [bess] WGLC, IPR and implementation poll on
> draft-ietf-bess-evpn-mh-pa-02
>
>
>
> Thanks Luc.
>
>
>
> "While the various algorithms for DF election are discussed in Sections
> 4.2-4.4, unlike all-active load balancing, the choice of algorithm in this
> solution doesn't impact performance in any way since there is only one
> active link."
>
>
>
> Anoop
>
>
>
> On Mon, Jul 5, 2021 at 11:31 AM Luc André Burdet <[email-masked]>
> wrote:
>
> Regarding the section specifying procedures for all DF Election
> algorithms: it is included per a previous review comment, primarily to be
> comprehensive for all existing DF Algos.  I agree the *result* may
> generally not vary much but the details of the procedure need to be
> specified. I hope this clears up any confusion.
>
>
>
> Regards,
>
> Luc André
>
>
>
> Luc André Burdet |  Cisco  |  [email-masked]  |  Tel: +1 613 254
> 4814
>
>
>
>
>
> *From: *BESS <[email-masked]> on behalf of Anoop Ghanwani <
> [email-masked]>
> *Date: *Tuesday, June 1, 2021 at 19:23
> *To: *"[email-masked]" <[email-masked]>
> *Cc: *"[email-masked]" <[email-masked]>, BESS <[email-masked]>
> *Subject: *Re: [bess] WGLC, IPR and implementation poll on
> draft-ietf-bess-evpn-mh-pa-02
>
>
>
>
>
> - I think it would be better to list the RFC rather than say "EVPN
> standard", since EVPN standard is an evolving term.
>
> - "The determinism provided by active-standby per interface is also
> required for certain QOS features to work."
>
> (Just for consistency, I think it would be better to search the
> doc throughout and make sure that "redundancy" is not being used in place
> of "load balancing", since we are defining a new load balancing method, not
> a new redundancy method/topology.)
>
>
>
> - Is "Bundle-Ethernet interfaces" a well-known term?  I think it may be
> better to drop Bundle.  I am not sure if what is meant here is "members of
> a LAG".
>
>
>
> I got a bit confused here.  The draft discusses Modulo, HRW.  Do we
> essentially end up with a single active link, but just that which link is
> chosen is dependent on the algorithm?  If so, what is the benefit of doing
> so?  I can see why multiple algorithms are of value when we are doing
> VLAN-based load balancing to multiple active links.
>
>
>
> Section 5
>
>
>
> On Mon, May 31, 2021 at 12:31 AM <[email-masked]> wrote:
>
> Hello WG,
>
>
>
>
>
> https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-mh-pa/
>
>
>
> [2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw
>
>
>
> [email-masked]

---

From: "Patrice Brissette (pbrisset)" <[email-masked]>
Date: Tue, 9 Nov 2021 14:49:40 +0000

Anoop,

Which specifics haven’t we answer?

Regards,
Patrice Brissette, Principal Engineer
Cisco Systems

http://e-vpn.io
http://go2.cisco.com/evpn

From: BESS <[email-masked]> on behalf of Anoop Ghanwani <[email-masked]>
Date: Tuesday, November 9, 2021 at 09:48
To: "[email-masked]" <[email-masked]>
Cc: Luc André Burdet <[email-masked]>, "[email-masked]" <[email-masked]>, BESS <[email-masked]>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Hi Stefane,

Yes, the document is much improved.  There's the last exchange below which I didn't get a response to.  I think that would help convey the intent of the authors more clearly.

Thanks,
Anoop

On Mon, Nov 8, 2021 at 4:01 AM <[email-masked]<mailto:[email-masked]>> wrote:
Anoop,

Thanks !

From: Anoop Ghanwani <[email-masked]<mailto:[email-masked]>>
Sent: lundi 5 juillet 2021 21:39
To: Luc André Burdet <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; BESS <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Thanks Luc.

Anoop

On Mon, Jul 5, 2021 at 11:31 AM Luc André Burdet <[email-masked]<mailto:[email-masked]>> wrote:
Thank you for your careful review Anoop;
I have uploaded -03 which I believe addresses all comments.

Regards,
Luc André

Luc André Burdet |  Cisco  |  [email-masked]<mailto:[email-masked]>  |  Tel: +1 613 254 4814

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of Anoop Ghanwani <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, June 1, 2021 at 19:23
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, BESS <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

==
Abstract

Section 1

- Change

Section 2

- Change

- Change

- Change

- Change

Section 3

Section 4.2/4.3

Section 5

Section 5.1

Section 5.2

Section 7

- spurious 'g'.

On Mon, May 31, 2021 at 12:31 AM <[email-masked]<mailto:[email-masked]>> wrote:

Hello WG,

Thank you,

Stephane & Matthew

[1]

_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess

---

From: Anoop Ghanwani <[email-masked]>
Date: Tue, 9 Nov 2021 07:14:45 -0800

Patrice,

The one at the very top of the thread:

I think adding the above line will make it clear that the choice of the
algorithm for single active is inconsequential in terms of performance.

Anoop

On Tue, Nov 9, 2021 at 6:49 AM Patrice Brissette (pbrisset) <
[email-masked]> wrote:

> *http://e-vpn.io <http://e-vpn.io>*
>
> *http://go2.cisco.com/evpn <http://go2.cisco.com/evpn>*
>
>
>
>
>
>
>
>
>
> *Date: *Tuesday, November 9, 2021 at 09:48
> *Cc: *Luc André Burdet <[email-masked]>, "[email-masked]" <
> [email-masked]>, BESS <[email-masked]>

---

From: "Dikshit, Saumya" <[email-masked]>
Date: Wed, 10 Nov 2021 11:32:11 +0000

Hello WG,

There is a draft published couple of months back and talks about All-PEs (attached to a segment) elected as DFs and a corresponding use case to do so.
https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/
I think a discussion is needed before proceeding with draft-ietf-bess-evpn-mh-pa

A new version of I-D, draft-saumvinayak-bess-all-df-bum-00.txt

has been successfully submitted by Saumya Dikshit and posted to the IETF repository.

Name:                 draft-saumvinayak-bess-all-df-bum

Revision:            00

Title:                    EVPN Mac Dampening Back-off

Document date:              2021-09-03

Group:                Individual Submission

Pages:                 7

Abstract:

   The Designated forwarder concept is leveraged to prevent looping of

   BUM traffic into tenant network sourced across NVO fabric for

   multihoming deployments.  [RFC7432] defines a prelimnary approach to

   select the DF for an ES,VLAN or ES,Vlan Group panning across multiple

   NVE's.  [RFC8584] makes the election logic more robust and fine

   grained inculcating fair election of DF handling most of the

   prevalent use-cases.  This document presents a deployment problem and

   a corresponding solution which cannot be easily resolve by rules

   mentioned in [RFC7432] and [RFC8584].

From: BESS [mailto:[email-masked]] On Behalf Of Anoop Ghanwani
Sent: Tuesday, November 9, 2021 8:45 PM
To: Patrice Brissette (pbrisset) <[email-masked]>
Cc: [email-masked]; Luc André Burdet <[email-masked]>; [email-masked]; BESS <[email-masked]>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Patrice,

The one at the very top of the thread:

I think adding the above line will make it clear that the choice of the algorithm for single active is inconsequential in terms of performance.

Anoop

On Tue, Nov 9, 2021 at 6:49 AM Patrice Brissette (pbrisset) <[email-masked]<mailto:[email-masked]>> wrote:
Anoop,

Regards,

http://e-vpn.io<http://e-vpn.io>
http://go2.cisco.com/evpn<http://go2.cisco.com/evpn>

Cc: Luc André Burdet <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, BESS <[email-masked]<mailto:[email-masked]>>

Hi Stefane,

Thanks,
Anoop

Thanks !

Thanks Luc.

Anoop

Regards,
Luc André

==
Abstract

Section 1

- Change

Section 2

- Change

- Change

- Change

- Change

Section 3

Section 4.2/4.3

Section 5

Section 5.1

Section 5.2

Section 7

- spurious 'g'.

Hello WG,

Thank you,

Stephane & Matthew

[1]

https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-mh-pa/<https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-mh-pa/>

[2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw<https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw>

_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess<https://www.ietf.org/mailman/listinfo/bess>

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Thu, 11 Nov 2021 20:21:16 +0000

Hi Saumya,

I fail to see why you are asking for a discussion on draft-saumvinayak-bess-all-df-bum before draft-ietf-bess-evpn-mh-pa can pass WG Last Call.
Your draft addresses a completely different use-case, that we can discuss separately, but it has nothing to do with draft-ietf-bess-evpn-mh-pa, which is already deployed in many networks.

Can you clarify what you meant, please?

Thanks.
Jorge

From: BESS <[email-masked]> on behalf of Dikshit, Saumya <[email-masked]>
Date: Wednesday, November 10, 2021 at 12:32 PM
To: Anoop Ghanwani <[email-masked]>, Patrice Brissette (pbrisset) <[email-masked]>
Cc: [email-masked] <[email-masked]>, Joshi, Vinayak <[email-masked]>, Luc André Burdet <[email-masked]>, [email-masked] <[email-masked]>, BESS <[email-masked]>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02
Hello WG,

Revision:            00

Pages:                 7

Abstract:

Patrice,

The one at the very top of the thread:

Anoop

Regards,

http://e-vpn.io

Hi Stefane,

Thanks,
Anoop

Thanks !

Thanks Luc.

Anoop

Regards,
Luc André

==
Abstract

Section 1

- Change

Section 2

- Change

- Change

- Change

- Change

Section 3

Section 4.2/4.3

Section 5

Section 5.1

Section 5.2

Section 7

- spurious 'g'.

Hello WG,

Thank you,

Stephane & Matthew

[1]

---

From: Luc André Burdet <[email-masked]>
Date: Fri, 12 Nov 2021 15:03:33 +0000

Hi Saumya,

I agree with Jorge, and do not see how that new I-D applies to the P-A use-case nor how it should block the progress of P-A WG document?
Based on a quick reading of your use-case you may want to have a look at l2-gw-proto<https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-l2gw-proto>.

Regards,
Luc André

Luc André Burdet |  Cisco  |  [email-masked]  |  Tel: +1 613 254 4814

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Thursday, November 11, 2021 at 15:21
To: "Dikshit, Saumya" <[email-masked]>, Anoop Ghanwani <[email-masked]>, "Patrice Brissette (pbrisset)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "Joshi, Vinayak" <[email-masked]>, Luc André Burdet <[email-masked]>, "[email-masked]" <[email-masked]>, BESS <[email-masked]>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Hi Saumya,

Thanks.
Jorge

Revision:            00

Pages:                 7

Abstract:

Patrice,

The one at the very top of the thread:

Anoop

Regards,

http://e-vpn.io

Hi Stefane,

Thanks,
Anoop

Thanks !

Thanks Luc.

Anoop

Regards,
Luc André

==
Abstract

Section 1

- Change

Section 2

- Change

- Change

- Change

- Change

Section 3

Section 4.2/4.3

Section 5

Section 5.1

Section 5.2

Section 7

- spurious 'g'.

Hello WG,

Thank you,

Stephane & Matthew

[1]

---

From: Luc André Burdet <[email-masked]>
Date: Fri, 12 Nov 2021 15:45:03 +0000

Stéphane,
v04 has just been posted addressing Anoop’s clarification + a good catch by Jorge on bit-position in DF-Elect extcomm.
Regards,
Luc André

From: "[email-masked]" <[email-masked]>
Date: Monday, November 8, 2021 at 07:01
To: 'Anoop Ghanwani' <[email-masked]>, 'Luc André Burdet' <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, 'BESS' <[email-masked]>
Subject: RE: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Anoop,

Thanks !

Thanks Luc.

Anoop

Regards,
Luc André

==
Abstract

Section 1

- Change

Section 2

- Change

- Change

- Change

- Change

Section 3

Section 4.2/4.3

Section 5

Section 5.1

Section 5.2

Section 7

- spurious 'g'.

Hello WG,

Thank you,

Stephane & Matthew

[1]

---

From: "Dikshit, Saumya" <[email-masked]>
Date: Sun, 14 Nov 2021 18:49:50 +0000

Hi Luc Andre , Jorge,

Thanks for pointing out the proximity of https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/<https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/>
with  l2-gw-proto<https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-l2gw-proto>

I have the following comments on with tag [SD], as one of the few reasons I asked for discussing https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/ in context draft-ietf-bess-evpn-mh-pa-02:

>>> With per-port active/
   standby load-balancing, only one of the two interface I1 or I2 would
   be in forwarding, the other interface will be in standby.  This also
   implies that all services on the active interface are in active mode
   and all services on the standby interface operate in standby mode.
[SD]I intend to map the above argument to the draft, wherein the proposal is to have ALL PEs as DF.
Do we need to suggest in the draft that active-standby from CE for the use-case specified in the draft https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/ (As that's the case of Active-Active FW) may not be a fitting one.

>>> PEs in the redundancy group leverage the DF election defined in

       [RFC8584] to determine which PE keeps the port in active mode and

       which one(s) keep it in standby mode.
[SD]it will good refer/call out the case where all PEs are DFs. A directive should be added that in case all "PEs as DF", "port-active"

>>> Bit 5: (corresponds to Bit 29 of the DF Election Extended

      Community and it is defined by this document): P bit or

      'Port Mode' bit (P hereafter), determines that the DF-Algorithm

      should be modified to consider the port only and not the Ethernet

      Tags.
[SD] Guidance should be added, that if all PEs as DF mode is set, then Bit 5 value should not  be set.

>>> Customers want per interface single-active load-balancing, but
       don't want to enable LDP (e.g. they may be running VXLAN or SRv6
       in the network).  Currently there is no alternative to this.
[SD] Do we need to call out explicit use-case of M+N port  (M-active, N-standby)  redundancy and a generic method to realize that.
Also a single PE can have more than 1 port (not bundled in a lag) carrying all Vlans to the same PE, where-in one of them is active while other is standby.
Can we address that case as well.

Thanks
Saumya.

From: Luc André Burdet [mailto:[email-masked]]
Sent: Friday, November 12, 2021 8:34 PM
To: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]>; Dikshit, Saumya <[email-masked]>; Anoop Ghanwani <[email-masked]>; Patrice Brissette (pbrisset) <[email-masked]>
Cc: [email-masked]; Joshi, Vinayak <[email-masked]>; [email-masked]; BESS <[email-masked]>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Hi Saumya,

Regards,
Luc André

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]<mailto:[email-masked]>>
Date: Thursday, November 11, 2021 at 15:21
To: "Dikshit, Saumya" <[email-masked]<mailto:[email-masked]>>, Anoop Ghanwani <[email-masked]<mailto:[email-masked]>>, "Patrice Brissette (pbrisset)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Joshi, Vinayak" <[email-masked]<mailto:[email-masked]>>, Luc André Burdet <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, BESS <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Hi Saumya,

Thanks.
Jorge

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of Dikshit, Saumya <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, November 10, 2021 at 12:32 PM
To: Anoop Ghanwani <[email-masked]<mailto:[email-masked]>>, Patrice Brissette (pbrisset) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, Joshi, Vinayak <[email-masked]<mailto:[email-masked]>>, Luc André Burdet <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, BESS <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02
Hello WG,

There is a draft published couple of months back and talks about All-PEs (attached to a segment) elected as DFs and a corresponding use case to do so.
https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/<https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/>
I think a discussion is needed before proceeding with draft-ietf-bess-evpn-mh-pa

Revision:            00

Pages:                 7

Abstract:

From: BESS [mailto:[email-masked]] On Behalf Of Anoop Ghanwani
Sent: Tuesday, November 9, 2021 8:45 PM
To: Patrice Brissette (pbrisset) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Luc André Burdet <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; BESS <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Patrice,

The one at the very top of the thread:

Anoop

Which specifics haven't we answer?

Regards,

Hi Stefane,

Thanks,
Anoop

Thanks !

Thanks Luc.

Anoop

Regards,
Luc André

==
Abstract

Section 1

- Change

Section 2

- Change

- Change

- Change

- Change

Section 3

Section 4.2/4.3

Section 5

Section 5.1

Section 5.2

Section 7

- spurious 'g'.

Hello WG,

Thank you,

Stephane & Matthew

[1]

---

From: Luc André Burdet <[email-masked]>
Date: Mon, 15 Nov 2021 15:35:51 +0000

Hi Saumya,

It is hard to follow where you are suggesting Port-Active needs to change, vs your I-D, or what is general feedback.
As with all DF-Election algorithms Port-Active elects a DF, a BDF and {0..n} NDFs.

May we insist you start another, separate, thread to discuss the proposed I-D and not on the Port-Active WGLC thread ?

Regards,
Luc André

From: "Dikshit, Saumya" <[email-masked]>
Date: Sunday, November 14, 2021 at 13:50
To: Luc André Burdet <[email-masked]>, "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>, Anoop Ghanwani <[email-masked]>, "Patrice Brissette (pbrisset)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "Joshi, Vinayak" <[email-masked]>, "[email-masked]" <[email-masked]>, BESS <[email-masked]>
Subject: RE: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Hi Luc Andre , Jorge,

Thanks for pointing out the proximity of https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/
with  l2-gw-proto<https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-l2gw-proto>

Do we need to suggest in the draft that active-standby from CE for the use-case specified in the draft https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/ (As that’s the case of Active-Active FW) may not be a fitting one.

       which one(s) keep it in standby mode.
[SD]it will good refer/call out the case where all PEs are DFs. A directive should be added that in case all “PEs as DF”, “port-active”

      Tags.

Thanks
Saumya.

Hi Saumya,

Regards,
Luc André

Hi Saumya,

Thanks.
Jorge

Revision:            00

Pages:                 7

Abstract:

Patrice,

The one at the very top of the thread:

Anoop

Regards,

http://e-vpn.io

Hi Stefane,

Thanks,
Anoop

Thanks !

Thanks Luc.

Anoop

Regards,
Luc André

==
Abstract

Section 1

- Change

Section 2

- Change

- Change

- Change

- Change

Section 3

Section 4.2/4.3

Section 5

Section 5.1

Section 5.2

Section 7

- spurious 'g'.

Hello WG,

Thank you,

Stephane & Matthew

[1]

---

From: "Dikshit, Saumya" <[email-masked]>
Date: Mon, 15 Nov 2021 15:58:03 +0000

Hi Luc André,

Following comment is a generic one, while others are w.r.t the proposed I-D vs Port-Active
[SD] Do we need to call out explicit use-case of M+N port  (M-active, N-standby)  redundancy and a generic method to realize that.
Also a single PE can have more than 1 port (not bundled in a lag) carrying all Vlans to the same PE, where-in one of them is active while other is standby.
Can we address that case as well.

Regards,
Saumya.

From: Luc André Burdet [mailto:[email-masked]]
Sent: Monday, November 15, 2021 9:06 PM
To: Dikshit, Saumya <[email-masked]>; Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]>; Anoop Ghanwani <[email-masked]>; Patrice Brissette (pbrisset) <[email-masked]>
Cc: [email-masked]; Joshi, Vinayak <[email-masked]>; [email-masked]; BESS <[email-masked]>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Hi Saumya,

Regards,
Luc André

From: "Dikshit, Saumya" <[email-masked]<mailto:[email-masked]>>
Date: Sunday, November 14, 2021 at 13:50
To: Luc André Burdet <[email-masked]<mailto:[email-masked]>>, "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]<mailto:[email-masked]>>, Anoop Ghanwani <[email-masked]<mailto:[email-masked]>>, "Patrice Brissette (pbrisset)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Joshi, Vinayak" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, BESS <[email-masked]<mailto:[email-masked]>>
Subject: RE: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Hi Luc Andre , Jorge,

Do we need to suggest in the draft that active-standby from CE for the use-case specified in the draft https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/<https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/> (As that's the case of Active-Active FW) may not be a fitting one.

      Tags.

Thanks
Saumya.

From: Luc André Burdet [mailto:[email-masked]]
Sent: Friday, November 12, 2021 8:34 PM
To: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>>; Dikshit, Saumya <[email-masked]<mailto:[email-masked]>>; Anoop Ghanwani <[email-masked]<mailto:[email-masked]>>; Patrice Brissette (pbrisset) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Joshi, Vinayak <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; BESS <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Hi Saumya,

Regards,
Luc André

Hi Saumya,

Thanks.
Jorge

Revision:            00

Pages:                 7

Abstract:

Patrice,

The one at the very top of the thread:

Anoop

Regards,

Hi Stefane,

Thanks,
Anoop

Thanks !

Thanks Luc.

Anoop

Regards,
Luc André

==
Abstract

Section 1

- Change

Section 2

- Change

- Change

- Change

- Change

Section 3

Section 4.2/4.3

Section 5

Section 5.1

Section 5.2

Section 7

- spurious 'g'.

Hello WG,

Thank you,

Stephane & Matthew

[1]

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Mon, 15 Nov 2021 18:08:20 +0000

Hi Saumya,

I agree with Luc that your points can be discussed in a different thread, but they should not be discussed in the context of the draft-ieft-bess-evpn-mh-pa last call, since none of them represent an issue for draft-ieft-bess-evpn-mh-pa.

Thanks.
Jorge

From: Dikshit, Saumya <[email-masked]>
Date: Monday, November 15, 2021 at 4:58 PM
To: Luc André Burdet <[email-masked]>, Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]>, Anoop Ghanwani <[email-masked]>, Patrice Brissette (pbrisset) <[email-masked]>
Cc: [email-masked] <[email-masked]>, Joshi, Vinayak <[email-masked]>, [email-masked] <[email-masked]>, BESS <[email-masked]>
Subject: RE: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02
Hi Luc André,

Regards,
Saumya.

Hi Saumya,

Regards,
Luc André

Hi Luc Andre , Jorge,

      Tags.

Thanks
Saumya.

Hi Saumya,

Regards,
Luc André

Hi Saumya,

Thanks.
Jorge

Revision:            00

Pages:                 7

Abstract:

Patrice,

The one at the very top of the thread:

Anoop

Regards,

http://e-vpn.io

Hi Stefane,

Thanks,
Anoop

Thanks !

Thanks Luc.

Anoop

Regards,
Luc André

==
Abstract

Section 1

- Change

Section 2

- Change

- Change

- Change

- Change

Section 3

Section 4.2/4.3

Section 5

Section 5.1

Section 5.2

Section 7

- spurious 'g'.

Hello WG,

Thank you,

Stephane & Matthew

[1]

---

From: <[email-masked]>
Date: Tue, 16 Nov 2021 09:53:04 +0100

Hi,

Speaking as co-chair, I agree with Jorge and Luc.

We have consensus to get the document moving forward.

WGLC is now closed.

Brgds,

Stephane

From: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]> 
Sent: lundi 15 novembre 2021 19:08
To: Dikshit, Saumya <[email-masked]>; Luc André Burdet
<[email-masked]>; Anoop Ghanwani <[email-masked]>; Patrice
Brissette (pbrisset) <[email-masked]>
Cc: [email-masked]; Joshi, Vinayak <[email-masked]>;
[email-masked]; BESS <[email-masked]>
Subject: Re: [bess] WGLC, IPR and implementation poll on
draft-ietf-bess-evpn-mh-pa-02

Hi Saumya,

I agree with Luc that your points can be discussed in a different thread,
but they should not be discussed in the context of the
draft-ieft-bess-evpn-mh-pa last call, since none of them represent an issue
for draft-ieft-bess-evpn-mh-pa.

Thanks.

Jorge

From: Dikshit, Saumya <[email-masked]
<mailto:[email-masked]> >
Date: Monday, November 15, 2021 at 4:58 PM
To: Luc André Burdet <[email-masked]
<mailto:[email-masked]> >, Rabadan, Jorge (Nokia - US/Mountain
View) <[email-masked] <mailto:[email-masked]> >, Anoop
Ghanwani <[email-masked] <mailto:[email-masked]> >, Patrice
Brissette (pbrisset) <[email-masked] <mailto:[email-masked]> >
Cc: [email-masked] <mailto:[email-masked]>
<[email-masked] <mailto:[email-masked]> >, Joshi, Vinayak
<[email-masked] <mailto:[email-masked]> >,
[email-masked] <mailto:[email-masked]>  <[email-masked]
<mailto:[email-masked]> >, BESS <[email-masked] <mailto:[email-masked]>
Subject: RE: [bess] WGLC, IPR and implementation poll on
draft-ietf-bess-evpn-mh-pa-02

Hi Luc André,

Following comment is a generic one, while others are w.r.t the proposed I-D
vs Port-Active

[SD] Do we need to call out explicit use-case of M+N port  (M-active,
N-standby)  redundancy and a generic method to realize that. 

Also a single PE can have more than 1 port (not bundled in a lag) carrying
all Vlans to the same PE, where-in one of them is active while other is
standby.

Regards,

Saumya.

From: Luc André Burdet [mailto:[email-masked]] 
Sent: Monday, November 15, 2021 9:06 PM
To: Dikshit, Saumya <[email-masked] <mailto:[email-masked]>
>; Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]
<mailto:[email-masked]> >; Anoop Ghanwani <[email-masked]
<mailto:[email-masked]> >; Patrice Brissette (pbrisset)
<[email-masked] <mailto:[email-masked]> >
Cc: [email-masked] <mailto:[email-masked]> ; Joshi,
Vinayak <[email-masked] <mailto:[email-masked]> >;
[email-masked] <mailto:[email-masked]> ; BESS <[email-masked]
<mailto:[email-masked]> >
Subject: Re: [bess] WGLC, IPR and implementation poll on
draft-ietf-bess-evpn-mh-pa-02

Hi Saumya,

It is hard to follow where you are suggesting Port-Active needs to change,
vs your I-D, or what is general feedback.

As with all DF-Election algorithms Port-Active elects a DF, a BDF and {0..n}
NDFs.

May we insist you start another, separate, thread to discuss the proposed
I-D and not on the Port-Active WGLC thread ?

Regards,

Luc André

Luc André Burdet |  Cisco  |  [email-masked]
<mailto:[email-masked]>   |  Tel: +1 613 254 4814

From: "Dikshit, Saumya" <[email-masked]
<mailto:[email-masked]> >
Date: Sunday, November 14, 2021 at 13:50
To: Luc André Burdet <[email-masked]
<mailto:[email-masked]> >, "Rabadan, Jorge (Nokia - US/Mountain
View)" <[email-masked] <mailto:[email-masked]> >, Anoop
Ghanwani <[email-masked] <mailto:[email-masked]> >, "Patrice
Brissette (pbrisset)" <[email-masked] <mailto:[email-masked]> >
Cc: "[email-masked] <mailto:[email-masked]> "
<[email-masked] <mailto:[email-masked]> >, "Joshi,
Vinayak" <[email-masked] <mailto:[email-masked]> >,
"[email-masked] <mailto:[email-masked]> " <[email-masked]
<mailto:[email-masked]> >, BESS <[email-masked] <mailto:[email-masked]>
Subject: RE: [bess] WGLC, IPR and implementation poll on
draft-ietf-bess-evpn-mh-pa-02

Hi Luc Andre , Jorge,

Thanks for pointing out the proximity of
https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/ 

with  l2-gw-proto
<https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-l2gw-proto> 

I have the following comments on with tag [SD], as one of the few reasons I
asked for discussing
https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/ in

[SD]I intend to map the above argument to the draft, wherein the proposal is
to have ALL PEs as DF.

Do we need to suggest in the draft that active-standby from CE for the
use-case specified in the draft
https://datatracker.ietf.org/doc/draft-saumvinayak-bess-all-df-bum/ (As
that’s the case of Active-Active FW) may not be a fitting one.

[SD]it will good refer/call out the case where all PEs are DFs. A directive
should be added that in case all “PEs as DF”, “port-active” 

[SD] Guidance should be added, that if all PEs as DF mode is set, then Bit 5
value should not  be set.

[SD] Do we need to call out explicit use-case of M+N port  (M-active,
N-standby)  redundancy and a generic method to realize that. 

Also a single PE can have more than 1 port (not bundled in a lag) carrying
all Vlans to the same PE, where-in one of them is active while other is
standby.

Thanks

Saumya.

From: Luc André Burdet [mailto:[email-masked]] 
Sent: Friday, November 12, 2021 8:34 PM
To: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]
<mailto:[email-masked]> >; Dikshit, Saumya <[email-masked]
<mailto:[email-masked]> >; Anoop Ghanwani <[email-masked]
<mailto:[email-masked]> >; Patrice Brissette (pbrisset)
<[email-masked] <mailto:[email-masked]> >
Cc: [email-masked] <mailto:[email-masked]> ; Joshi,
Vinayak <[email-masked] <mailto:[email-masked]> >;
[email-masked] <mailto:[email-masked]> ; BESS <[email-masked]
<mailto:[email-masked]> >
Subject: Re: [bess] WGLC, IPR and implementation poll on
draft-ietf-bess-evpn-mh-pa-02

Hi Saumya,

I agree with Jorge, and do not see how that new I-D applies to the P-A
use-case nor how it should block the progress of P-A WG document?

Based on a quick reading of your use-case you may want to have a look at
l2-gw-proto
<https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-l2gw-proto> .

Regards,

Luc André

Luc André Burdet |  Cisco  |  [email-masked]
<mailto:[email-masked]>   |  Tel: +1 613 254 4814

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]
<mailto:[email-masked]> >
Date: Thursday, November 11, 2021 at 15:21
To: "Dikshit, Saumya" <[email-masked]
<mailto:[email-masked]> >, Anoop Ghanwani <[email-masked]
<mailto:[email-masked]> >, "Patrice Brissette (pbrisset)"
<[email-masked] <mailto:[email-masked]> >
Cc: "[email-masked] <mailto:[email-masked]> "
<[email-masked] <mailto:[email-masked]> >, "Joshi,
Vinayak" <[email-masked] <mailto:[email-masked]> >, Luc André
Burdet <[email-masked] <mailto:[email-masked]> >,
"[email-masked] <mailto:[email-masked]> " <[email-masked]
<mailto:[email-masked]> >, BESS <[email-masked] <mailto:[email-masked]>
Subject: Re: [bess] WGLC, IPR and implementation poll on
draft-ietf-bess-evpn-mh-pa-02

Hi Saumya,

I fail to see why you are asking for a discussion on
draft-saumvinayak-bess-all-df-bum before draft-ietf-bess-evpn-mh-pa can pass
WG Last Call.

Your draft addresses a completely different use-case, that we can discuss
separately, but it has nothing to do with draft-ietf-bess-evpn-mh-pa, which
is already deployed in many networks.

Thanks.

Jorge

From: BESS <[email-masked] <mailto:[email-masked]> > on behalf
of Dikshit, Saumya <[email-masked] <mailto:[email-masked]> >
Date: Wednesday, November 10, 2021 at 12:32 PM
To: Anoop Ghanwani <[email-masked] <mailto:[email-masked]> >,
Patrice Brissette (pbrisset) <[email-masked] <mailto:[email-masked]>
Cc: [email-masked] <mailto:[email-masked]>
<[email-masked] <mailto:[email-masked]> >, Joshi, Vinayak
<[email-masked] <mailto:[email-masked]> >, Luc André Burdet
<[email-masked] <mailto:[email-masked]> >,
[email-masked] <mailto:[email-masked]>  <[email-masked]
<mailto:[email-masked]> >, BESS <[email-masked] <mailto:[email-masked]>
Subject: Re: [bess] WGLC, IPR and implementation poll on
draft-ietf-bess-evpn-mh-pa-02

Hello WG,

There is a draft published couple of months back and talks about All-PEs
(attached to a segment) elected as DFs and a corresponding use case to do
so.

I think a discussion is needed before proceeding with
draft-ietf-bess-evpn-mh-pa

has been successfully submitted by Saumya Dikshit and posted to the IETF
repository.

Revision:            00

Pages:                 7

Abstract:

 

From: BESS [mailto:[email-masked]] On Behalf Of Anoop Ghanwani
Sent: Tuesday, November 9, 2021 8:45 PM
To: Patrice Brissette (pbrisset) <[email-masked]
<mailto:[email-masked]> >
Cc: [email-masked] <mailto:[email-masked]> ; Luc André Burdet
<[email-masked] <mailto:[email-masked]> >;
[email-masked] <mailto:[email-masked]> ; BESS
<[email-masked] <mailto:[email-masked]> >
Subject: Re: [bess] WGLC, IPR and implementation poll on
draft-ietf-bess-evpn-mh-pa-02

Patrice,

The one at the very top of the thread:

Anoop

On Tue, Nov 9, 2021 at 6:49 AM Patrice Brissette (pbrisset)
<[email-masked] <mailto:[email-masked]> > wrote:

Anoop,

Regards,

Cisco Systems

 <http://e-vpn.io> http://e-vpn.io

 <http://go2.cisco.com/evpn> http://go2.cisco.com/evpn

 

From: BESS <[email-masked] <mailto:[email-masked]> > on behalf
of Anoop Ghanwani <[email-masked] <mailto:[email-masked]> >
Date: Tuesday, November 9, 2021 at 09:48
To: "[email-masked] <mailto:[email-masked]> "
<[email-masked] <mailto:[email-masked]> >
Cc: Luc André Burdet <[email-masked]
<mailto:[email-masked]> >, "[email-masked]
<mailto:[email-masked]> " <[email-masked]
<mailto:[email-masked]> >, BESS <[email-masked] <mailto:[email-masked]>
Subject: Re: [bess] WGLC, IPR and implementation poll on
draft-ietf-bess-evpn-mh-pa-02

Hi Stefane,

Yes, the document is much improved.  There's the last exchange below which I
didn't get a response to.  I think that would help convey the intent of the
authors more clearly.

Thanks,

Anoop

On Mon, Nov 8, 2021 at 4:01 AM <[email-masked]
<mailto:[email-masked]> > wrote:

Anoop,

Could you confirm that you are fine with the changes proposed by Luc, so we
can move the draft forward to next steps ?

Thanks !

From: Anoop Ghanwani <[email-masked] <mailto:[email-masked]> >

Sent: lundi 5 juillet 2021 21:39
To: Luc André Burdet <[email-masked]
<mailto:[email-masked]> >
Cc: [email-masked] <mailto:[email-masked]> ;
[email-masked] <mailto:[email-masked]> ; BESS <[email-masked]
<mailto:[email-masked]> >
Subject: Re: [bess] WGLC, IPR and implementation poll on
draft-ietf-bess-evpn-mh-pa-02

Thanks Luc.

Anoop

On Mon, Jul 5, 2021 at 11:31 AM Luc André Burdet <[email-masked]
<mailto:[email-masked]> > wrote:

Regarding the section specifying procedures for all DF Election algorithms:
it is included per a previous review comment, primarily to be comprehensive
for all existing DF Algos.  I agree the result may generally not vary much
but the details of the procedure need to be specified. I hope this clears up
any confusion.

Regards,

Luc André

Luc André Burdet |  Cisco  |  [email-masked]
<mailto:[email-masked]>   |  Tel: +1 613 254 4814

From: BESS <[email-masked] <mailto:[email-masked]> > on behalf
of Anoop Ghanwani <[email-masked] <mailto:[email-masked]> >
Date: Tuesday, June 1, 2021 at 19:23
To: "[email-masked] <mailto:[email-masked]> "
<[email-masked] <mailto:[email-masked]> >
Cc: "[email-masked] <mailto:[email-masked]> "
<[email-masked] <mailto:[email-masked]> >, BESS <[email-masked]
<mailto:[email-masked]> >
Subject: Re: [bess] WGLC, IPR and implementation poll on
draft-ietf-bess-evpn-mh-pa-02

==

Abstract

Section 1

- "The determinism provided by active-standby per interface is also required
for certain QOS features to work."

- Change

"A new term of load-balancing mode, port-active load- balancing is then
defined."

to

- Change

"This draft describes how that new redundancy mode can be supported via
EVPN"
to
"This draft describes how that new load balancing mode can be supported via
EVPN"

(Just for consistency, I think it would be better to search the doc
throughout and make sure that "redundancy" is not being used in place of
"load balancing", since we are defining a new load balancing method, not a
new redundancy method/topology.)

- Is "Bundle-Ethernet interfaces" a well-known term?  I think it may be
better to drop Bundle.  I am not sure if what is meant here is "members of a
LAG".

Section 2

- Change

to

(In EVPN bundling normally refers to many:1 mapping of VLAN to VNI/service
instance).

- Change

to 

- Change

to

"links in the LAG"

- Change

to

Section 3

Section 4.2/4.3

Section 5

Section 5.1

- "per ES routes for fast convergence" -> "per ES route for fast
convergence"

Section 5.2

Section 7

- spurious 'g'.

 

On Mon, May 31, 2021 at 12:31 AM <[email-masked]
<mailto:[email-masked]> > wrote:

Hello WG,

 

 

 

 
Thank you,
 
Stephane & Matthew

[1]
 <https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-mh-pa/>
https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-mh-pa/
 
[2]
<https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw>
https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw

---

From: "Dikshit, Saumya" <[email-masked]>
Date: Wed, 17 Nov 2021 11:57:46 +0000

Ack Jorge, I am concerned about any cross-references we need in the other I-D and if supporting All-PEs as DF has any impact on the active-standby hierarchy at port level.

And also wanted to re-check if this generic comment (nothing to do with other I-D) needs attention:
"[SD] Do we need to call out explicit use-case of M+N port  (M-active, N-standby)  redundancy and a generic method to realize that.
Also a single PE can have more than 1 port (not bundled in a lag) carrying all Vlans to the same CE, where-in one of them is active while other is standby.
Can we address that case as well."

                   |          NVO Fabric                |
======== |=====================|======
    +-------PE1---------+                          PE2
    |                              |                           |
 L2-Switch1       L2-Switch1                  |
    |                              |                           |
    +-------CE1--------+                             |
                  |                                              |
                  +--------------------------------+

Thanks
Saumya.

From: Rabadan, Jorge (Nokia - US/Mountain View) [mailto:[email-masked]]
Sent: Monday, November 15, 2021 11:38 PM
To: Dikshit, Saumya <[email-masked]>; Luc André Burdet <[email-masked]>; Anoop Ghanwani <[email-masked]>; Patrice Brissette (pbrisset) <[email-masked]>
Cc: [email-masked]; Joshi, Vinayak <[email-masked]>; [email-masked]; BESS <[email-masked]>
Subject: Re: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02

Hi Saumya,

Thanks.
Jorge

From: Dikshit, Saumya <[email-masked]<mailto:[email-masked]>>
Date: Monday, November 15, 2021 at 4:58 PM
To: Luc André Burdet <[email-masked]<mailto:[email-masked]>>, Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>>, Anoop Ghanwani <[email-masked]<mailto:[email-masked]>>, Patrice Brissette (pbrisset) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, Joshi, Vinayak <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, BESS <[email-masked]<mailto:[email-masked]>>
Subject: RE: [bess] WGLC, IPR and implementation poll on draft-ietf-bess-evpn-mh-pa-02
Hi Luc André,

Following comment is a generic one, while others are w.r.t the proposed I-D vs Port-Active
[SD] Do we need to call out explicit use-case of M+N port  (M-active, N-standby)  redundancy and a generic method to realize that.
Also a single PE can have more than 1 port (not bundled in a lag) carrying all Vlans to the same CE, where-in one of them is active while other is standby.
Can we address that case as well.

Regards,
Saumya.

To: Dikshit, Saumya <[email-masked]<mailto:[email-masked]>>; Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>>; Anoop Ghanwani <[email-masked]<mailto:[email-masked]>>; Patrice Brissette (pbrisset) <[email-masked]<mailto:[email-masked]>>

Hi Saumya,

Regards,
Luc André

Hi Luc Andre , Jorge,

      Tags.

Also a single PE can have more than 1 port (not bundled in a lag) carrying all Vlans to the same CE, where-in one of them is active while other is standby.

Thanks
Saumya.

Hi Saumya,

Regards,
Luc André

Hi Saumya,

Thanks.
Jorge

Revision:            00

Pages:                 7

Abstract:

Patrice,

The one at the very top of the thread:

Anoop

Regards,

Hi Stefane,

Thanks,
Anoop

Thanks !

Thanks Luc.

Anoop

Regards,
Luc André

==
Abstract

Section 1

- Change

Section 2

- Change

- Change

- Change

- Change

Section 3

Section 4.2/4.3

Section 5

Section 5.1

Section 5.2

Section 7

- spurious 'g'.

Hello WG,

Thank you,

Stephane & Matthew

[1]